curl --request POST \
--url https://api.pandabase.io/v2/core/stores/{storeId}/coupons \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"code": "<string>",
"type": "FIXED",
"value": 2,
"displayName": "<string>",
"description": "<string>",
"minimumPurchase": 1,
"maxUses": 2,
"maxUsesPerCustomer": 2,
"firstPurchaseOnly": false,
"startsAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"enabled": true,
"productIds": [
"<string>"
]
}
'{
"ok": true,
"data": "<unknown>"
}curl --request POST \
--url https://api.pandabase.io/v2/core/stores/{storeId}/coupons \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"code": "<string>",
"type": "FIXED",
"value": 2,
"displayName": "<string>",
"description": "<string>",
"minimumPurchase": 1,
"maxUses": 2,
"maxUsesPerCustomer": 2,
"firstPurchaseOnly": false,
"startsAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"enabled": true,
"productIds": [
"<string>"
]
}
'{
"ok": true,
"data": "<unknown>"
}Store API token. Use the sk_ prefixed secret key as the Bearer token.
Store ID (shp_ prefix)
12 - 482 - 64^[A-Za-z0-9_\-]+$FIXED, PERCENTAGE x >= 1128500x >= 0x >= 1x >= 1Product IDs to scope this coupon to. Omit to apply to all products.
50